﻿using UnityEngine;
using System.Collections;

public class BloodParticle : MonoBehaviour {
	
	public float timer = 3.0f;
	private SpriteRenderer render;

	void Start()
	{
		render = GetComponent<SpriteRenderer>();
	}

	// Update is called once per frame
	void FixedUpdate() {
		timer = Mathf.MoveTowards(timer, 0.0f, Time.deltaTime);
		if (timer < 1.0f) {
			Color color = render.color;
			color.a = timer;
			render.color = color;
		}
		if (timer < Mathf.Epsilon) {
			Destroy(gameObject);
		}
	}
}
