﻿using UnityEngine;
using System.Collections;

public class MoveObject : MonoBehaviour {

	public bool isMoving = false;
	public Vector2 moveTo;
	public float moveSpeed = 1.0f;

	void FixedUpdate()
	{
		if (!isMoving) return;
		transform.position = Vector2.MoveTowards(transform.position, moveTo, moveSpeed * Time.deltaTime);
	}

	public void StartMoving()
	{
		isMoving = true;
	}

}
